---
- name: Download Apache Gradle
  become: true
  get_url:
    url: https://services.gradle.org/distributions/gradle-{{ gradle_version.release }}-bin.zip
    dest:  /usr/local/src/gradle-{{ gradle_version.release }}-bin.zip
    mode: 0644
  tags:
    - packaging
    - gradle

- name: Unarchive Apache Gradle
  become: true
  unarchive:
    src: /usr/local/src/gradle-{{ gradle_version.release }}-bin.zip
    dest: "/opt"
    group: development
    remote_src: True
    creates: "/opt/gradle-{{ gradle_version.release }}"
  tags:
    - packaging
    - gradle


- name: Set Apache Gradle {{ gradle_version.release }} as default
  become: true
  file:
    src: "/opt/gradle-{{ gradle_version.release }}"
    dest: "/opt/gradle-current"
    group: development
    state: link
  tags:
    - packaging
    - gradle

- name: Create Gradle BASH profile
  become: true
  blockinfile:
    name: /etc/profile.d/gradle.sh
    create: yes
    content: |
      export GRADLE_HOME=/opt/gradle-current
      export PATH=${PATH}:${GRADLE_HOME}/bin
  tags:
    - packaging
    - gradle


- name: Download Apache Gradle bash completion
  become: true
  get_url:
    url: https://edub.me/gradle-completion-bash
    dest:  /etc/bash_completion.d/gradle-completion.sh
    mode: 0644
  tags:
    - packaging
    - gradle
